Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.mql
Class MqlAritmeticNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.makumba.providers.query.mql.MqlNode
                  org.makumba.providers.query.mql.MqlBinaryOperator
                      org.makumba.providers.query.mql.MqlAritmeticNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable

    public class MqlAritmeticNode

extends MqlBinaryOperator

We need to treat arithmetic operations specially because * an operation with a parameter will determine the parameter type

Version:
  $Id: MqlComparisonNode.java,v 1.1 Aug 5, 2008 5:31:13 PM cristi Exp $
Author:
  Cristian Bogdan
See Also:
  Serialized Form

Field Summary
`(package private) MqlNode` | `returnType`

Fields inherited from class org.makumba.providers.query.mql.MqlNode
`checkAsIds, mqlFunctions, walker`

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`MqlAritmeticNode()`

Method Summary
`protected void` | `analyzeOperands(MqlNode left, MqlNode right)`
`protected void` | `setMakType(MqlNode left, MqlNode right)`

Methods inherited from class org.makumba.providers.query.mql.MqlBinaryOperator
`oneMoreChild`

Methods inherited from class org.makumba.providers.query.mql.MqlNode
`checkAndRewriteOperand, checkForOperandType, checkOperandTypes, checkParam, findMakType, getMakType, getOriginalText, getWalker, initMQLFunctions, isParam, knownType, makeBooleanFieldDefinition, setFather, setFirstChild, setMakType, setNextSibling, setText, setTextList, setType, setWalker, toString, writeTo`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, initialize, initialize`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getColumn, getFirstChild, getLine, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setVerboseStringConversion, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### returnType

    MqlNode returnType

Constructor Detail

### MqlAritmeticNode

    public MqlAritmeticNode()

Method Detail

### analyzeOperands

    protected void analyzeOperands(MqlNode left,
                                   MqlNode right)
                            throws antlr.SemanticException

  Overrides:
    `analyzeOperands` in class `MqlBinaryOperator`
  Throws:
    `antlr.SemanticException`

### setMakType

    protected void setMakType(MqlNode left,
                              MqlNode right)

  Overrides:
    `setMakType` in class `MqlBinaryOperator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20